Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portlet
Class JBossActionResponse

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.api.PortletResponseImpl
          org.jboss.portal.portlet.impl.jsr168.api.ActionResponseImpl
              org.jboss.portlet.JBossActionResponse

All Implemented Interfaces:
  ActionResponse, PortletResponse

    public class JBossActionResponse

extends ActionResponseImpl

Version:
  $Revision: 10755 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.jboss.portal.portlet.impl.jsr168.api.ActionResponseImpl
`decision, response, WANT_NOTHING, WANT_REDIRECT, WANT_RENDER`

Fields inherited from class org.jboss.portal.portlet.impl.jsr168.api.PortletResponseImpl
`invocation, preq`

Constructor Summary
`JBossActionResponse(ActionInvocation invocation, PortletRequestImpl preq)`

Method Summary
`PortalNodeURL` | `createActionURL(PortalNode node)`
`PortalNodeURL` | `createRenderURL(PortalNode node)`
`void` | `signOut()` Perform a programmatic sign out.
`void` | `signOut(java.lang.String location)` Perform a programmatic sign out and navigate to the URL specified by the location parameter.

Methods inherited from class org.jboss.portal.portlet.impl.jsr168.api.ActionResponseImpl
`getResult, sendRedirect, sendRedirect, setPortletMode, setRenderParameter, setRenderParameter, setRenderParameters, setWindowState`

Methods inherited from class org.jboss.portal.portlet.impl.jsr168.api.PortletResponseImpl
`addProperty, encodeURL, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.portlet.PortletResponse
`addProperty, encodeURL, setProperty`

Constructor Detail

### JBossActionResponse

    public JBossActionResponse(ActionInvocation invocation,
                               PortletRequestImpl preq)

Method Detail

### createActionURL

    public PortalNodeURL createActionURL(PortalNode node)
                                  throws java.lang.IllegalArgumentException,
                                         java.lang.IllegalStateException

  Throws:
    `java.lang.IllegalArgumentException`
    `java.lang.IllegalStateException`

### createRenderURL

    public PortalNodeURL createRenderURL(PortalNode node)
                                  throws java.lang.IllegalArgumentException,
                                         java.lang.IllegalStateException

  Throws:
    `java.lang.IllegalArgumentException`
    `java.lang.IllegalStateException`

### signOut

    public void signOut()
                 throws java.lang.IllegalStateException

  Perform a programmatic sign out.

  Throws:
    `java.lang.IllegalStateException` - if programmatic signout cannot be done

### signOut

    public void signOut(java.lang.String location)
                 throws java.lang.IllegalStateException

  Perform a programmatic sign out and navigate to the URL specified by the location parameter.

  Parameters:
    `location` - URL to redirect to after signout; can be null to indicate default behavior.
  Throws:
    `java.lang.IllegalStateException` - if programmatic signout cannot be done
    `java.lang.IllegalArgumentException` - if the location is not valid

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD